Bug 222598 - (php-pecl-radius) Review Request: php-pecl-radius - Radius client library
Review Request: php-pecl-radius - Radius client library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-14 21:12 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 04:04:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-01-14 21:12:30 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pecl-radius.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pecl-radius-1.2.4-1.src.rpm

Description:
This package is based on the libradius of FreeBSD, with some modifications
and extensions.  This PECL provides full support for RADIUS authentication
(RFC 2865) and RADIUS accounting (RFC 2866), works on Unix and on Windows.
Its an easy way to authenticate your users against the user-database of your
OS (for example against Windows Active-Directory via IAS).
Comment 1 Matthias Saou 2007-02-13 13:49:25 EST
I wanted to take a quick look at this package, but it seems that
tkmame.retrogames.com is unavailable at the moment.
Comment 2 Christopher Stone 2007-02-13 15:45:07 EST
Unfortunately not the most reliable server.   Seems to be back up now.
Comment 3 Remi Collet 2007-03-10 10:45:00 EST
What about using the new provides to ensure ABI compatibility with PHP

For example
%if %{?php_zend_api}0
# for fedora >= 6
Requires:     php(zend-abi) = %{php_zend_api}
Requires:     php(api) = %{php_core_api}
%else
# for fedora <= 5
Requires:     php-api = %{php_apiver}
%endif

Comment 4 Remi Collet 2007-03-11 03:20:00 EDT
As for php-pear packages, php-pecl tarball have a package.xml outside any
directory. So, you must use

%prep
%setup -c -q
cd radius-%{version}

Comment 5 Remi Collet 2007-03-11 09:52:46 EDT
I finally succeed to install a local radius server and to have a working test
for this extension, so, 

=== REVIEW ===
:) source files match upstream:
3d48ccb9486b9e8839d814d7ff318091  radius-1.2.4.tgz
:) package meets naming and packaging guidelines.
:( specfile is properly named, is cleanly written and uses macros consistently.
=> see comment #4
:) dist tag is present.
:) build root is correct (second form).
:) license field matches the actual license.
:) license is open source-compatible (BSD).
:) latest version is being packaged (1.2.4)
:) BuildRequires are proper.
:) %clean is present.
:) package builds in mock (FC6).
:) package installs properly
:) rpmlint is silent.
:) final provides are sane:
config(php-pecl-radius) = 1.2.4-1.fc7
php-pecl(radius) = 1.2.4-1.fc7
radius.so()(64bit)  
php-pecl-radius = 1.2.4-1.fc7
:/ final Requires are sane:
=> see comment # 3
:) %check is not present; 
:) owns the directories it creates
:) no duplicates in %files.
:) file permissions are appropriate.
:) no scriplet
:) code, not content.
:) documentation is small, so no -docs subpackage is necessary.
:) %docs are not necessary for the proper functioning of the package.

Don't know if "release" is need in virtual provide 'php-pecl(radius)' ? 
perl and php-pear virtual provide never used it.

Should : comment #3
Must: comment #4
Comment 6 Christopher Stone 2007-03-11 17:29:02 EDT
Indeed, my php-pecl-xdebug package will also need to be fixed.  Thanks for
spotting this.


Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pecl-radius.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pecl-radius-1.2.4-2.src.rpm

%changelog
* Sun Mar 11 2007 Christopher Stone <chris.stone@gmail.com> 1.2.4-2
- Use new ABI check for FC-6
- Create directory to untar sources
- Remove %%{release} from Provides
Comment 7 Remi Collet 2007-03-12 01:12:10 EDT
Option -n to %setup is not needed... but not a issue.


== APPROVED ==
Comment 8 Christopher Stone 2007-03-12 14:46:22 EDT
New Package CVS Request
=======================
Package Name: php-pecl-radius
Short Description: Radius client library
Owners: chris.stone@gmail.com
Branches: FC-5 FC6 devel
InitialCC:
Comment 9 Christopher Stone 2007-03-13 04:04:39 EDT
- Fixed -n option
- Imported and built on FC-5 FC-6 and devel

Thanks for the review!

:D
Comment 10 Christopher Stone 2007-05-10 17:33:50 EDT
Package Change Request
======================
Package Name: php-pecl-radius
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.